
/******************************************************************************
* MODULE     : string_test.cc
* DESCRIPTION: Test strings
* COPYRIGHT  : (C) 2003  Joris van der Hoeven
*******************************************************************************
* This software falls under the GNU general public license and comes WITHOUT
* ANY WARRANTY WHATSOEVER. See the file $TEXMACS_PATH/LICENSE for more details.
* If you don't have this file, write to the Free Software Foundation, Inc.,
* 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
******************************************************************************/

#include "string.hpp"
using namespace mml;

int
main () {
  string x ("Hi");
  string y ("There");
  cout << "x\t= " << x << "\n";
  cout << "y\t= " << y << "\n";
  cout << "x*y\t= " << (x*y) << "\n";
  x << y; cout << "-> x << y\n";
  cout << "x\t= " << x << "\n";
  x << y; cout << "-> x << y\n";
  cout << "x\t= " << x << "\n";
  cout << "x=y\t= " << (x==y) << "\n";
  cout << "x!=y\t= " << (x!=y) << "\n";
  cout << "x<y\t= " << (x<y) << "\n";
  cout << "x<=y\t= " << (x<=y) << "\n";
  cout << "x>y\t= " << (x>y) << "\n";
  cout << "x>=y\t= " << (x>=y) << "\n";
  return 0;
}
