
/******************************************************************************
* MODULE     : symbolic_props.cpp
* DESCRIPTION: Basic artithmetic properties of symbolic expressions
* COPYRIGHT  : (C) 2004  Joris van der Hoeven
*******************************************************************************
* This software falls under the GNU general public license and comes WITHOUT
* ANY WARRANTY WHATSOEVER. See the file $TEXMACS_PATH/LICENSE for more details.
* If you don't have this file, write to the Free Software Foundation, Inc.,
* 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
******************************************************************************/

#include "symbolic.hpp"
namespace mml {

bool symbolic_rep::is_abelian () { return true; }
bool symbolic_rep::is_associative () { return true; }
bool symbolic_rep::is_commutative () { return true; }
bool symbolic_rep::is_distributive () { return false; }
bool symbolic_rep::is_scalar () { return false; }

} // namespace mml
